<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
  <ui:define name="body">
    <h1>#{messages['net.ihe.gazelle.xdstar.ImportOfXdstools2Endpoints']}</h1>
    <h:form id="form">
      <gri:panel>
        <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.ImportOfXdstools2Endpoints']}</f:facet>
        <h:outputText value="#{messages['net.ihe.gazelle.xdstar.TheAimOfThisPageIsToImportTheListOfXdstoolsClone']} "/>
        <br/>
        <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ToDoSoYouHaveToUploadTheCSVFileContainingTheList']} "/>
        <ul>
          <li>
            <h:outputText value="#{messages['net.ihe.gazelle.xdstar.GotToGazelleTestManagementMenuConfigurationsOIDs']}"/>
          </li>
          <li>
            <h:outputText value="#{messages['net.ihe.gazelle.xdstar.SelectTheLabelrepositoryUniqueIdXdstools2']}"/>
          </li>
          <li>
            <h:outputText value="#{messages['net.ihe.gazelle.xdstar.UploadTheXlsFile']}"/>
          </li>
          <li>
            <h:outputText value="#{messages['net.ihe.gazelle.xdstar.OpenTheXLSFileAndSaveItAsACSVFile']}"/>
          </li>
        </ul>
        <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ToGenerateTheConfigurationsOnXDStarClientYouHave']} "/>
        <br/>
        <br/>
        <s:decorate id="fileup" template="/layout/edit.xhtml">
          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.UploadCSVOIDs']}</ui:define>
          <rich:fileUpload fileUploadListener="#{kManager.uploadOIDSListener}" maxFilesQuantity="1" id="uploadFile" immediateUpload="true" listHeight="60px">
					</rich:fileUpload>
        </s:decorate>
        <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.GenerateandOverrideExistingOnes']})" actionListener="#{kManager.deleteAndGenerate()}" render="messageDecoration" styleClass="gzl-btn-blue"/>
        <br/>
        <br/>
      </gri:panel>
    </h:form>
  </ui:define>
</ui:composition>
